//
//  YDResToastView.h
//  CLRealPersonDemo
//
//  Created by ydong on 2021/6/5.
//  Copyright © 2021年 ydong. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol CLTimeoutToastViewDelegate <NSObject>

- (void)retryButtonDidTipped:(UIButton * _Nullable)sender;

- (void)backHomePageButtonDidTipped:(UIButton * _Nullable)sender;

@end

NS_ASSUME_NONNULL_BEGIN

typedef NS_ENUM(NSUInteger, CLToastType) {
    CLToastTypeTimeout,
    CLToastTypeFaild,
    CLToastTypeNetError,
    CLToastTypeNoMoney
};

@interface YDResToastView : UIView

@property (nonatomic, weak) id<CLTimeoutToastViewDelegate> delegate;

- (void)show:(CLToastType)toastType;

- (void)hidden;

@end

NS_ASSUME_NONNULL_END
