//
//  YDSucessViewController.m
//  CLRealPersonDemo
//
//  Created by ydong on 2021/9/22.
//  Copyright © 2021 ydong. All rights reserved.
//

#import "YDSucessViewController.h"
#import <Masonry/Masonry.h>
#import "YDDemoDefines.h"
#import "UIColor+YDLiveDetect.h"

@implementation YDSucessViewController

-(void)dealloc{
    
    NSLog(@"success is dealloc");
}

- (void)viewDidLoad {
    [super viewDidLoad];
    self.title = @"认证结果";
    self.view.backgroundColor = UIColor.whiteColor;
    self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithImage:[UIImage imageNamed:@"ico_back"] style:(UIBarButtonItemStyleDone) target:self action:@selector(back)];
    [self createSubview];
}

-(void)returnHomePage{
    
    if (self.resultCallback) {
        self.resultCallback(self.returnStr);
    }
    [self.navigationController popToRootViewControllerAnimated:YES];
}

-(void)createSubview{
    
    UIImageView *bgImage = [[UIImageView alloc] init];
    bgImage.image = [UIImage imageNamed:_isSuccess ? @"real_suc" : @"real_fail"];
    bgImage.contentMode = UIViewContentModeScaleAspectFit;
    [self.view addSubview:bgImage];
    [bgImage mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.offset(statusBarHeight+95);
        make.centerX.equalTo(self.view);
        make.width.offset(81 * KWidthScale);
        make.height.offset(95 * KWidthScale);
    }];
    
    UILabel *firstL = [[UILabel alloc] init];
    firstL.text = _isSuccess ? @"活体检测通过" : @"活体检测失败";
    firstL.font = [UIFont fontWithName:@"PingFangSC-Semibold" size:15*KWidthScale];
    firstL.textColor = [UIColor blackColor];
    firstL.textAlignment = NSTextAlignmentCenter;
    [self.view addSubview:firstL];
    [firstL mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(bgImage.mas_bottom).offset(25 * KWidthScale);
        make.left.right.equalTo(self.view);
        make.height.offset(21);
    }];
    
    UIButton *startRealButton = [UIButton buttonWithType:UIButtonTypeCustom];
    [startRealButton setTitle:@"返回首页" forState:UIControlStateNormal];
    [startRealButton setTitleColor:UIColorFromHex(0xffffff) forState:UIControlStateNormal];
    startRealButton.titleLabel.font = [UIFont fontWithName:@"PingFangSC-Regular" size:15*KWidthScale];
    startRealButton.layer.cornerRadius = 44.0*KHeightScale/2;
    startRealButton.layer.masksToBounds = YES;
    [startRealButton setBackgroundColor:[UIColor colorWithHexString:@"#1183F7"]];
    [startRealButton addTarget:self action:@selector(returnHomePage) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:startRealButton];
    [startRealButton mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.equalTo(firstL.mas_bottom).offset(30*KHeightScale);
        make.centerX.equalTo(self.view);
        make.height.equalTo(@(44*KHeightScale));
        make.width.equalTo(@(311*KWidthScale));
    }];
}

-(void)back {
    [self.navigationController popToRootViewControllerAnimated:YES];
}

@end
